Subject: Re: [IPV4] LVS: Allow to send ICMP unreachable responses when real-servers are removed

From: Janusz Krzysztofik <[email-masked]>
Date: Thu, 17 May 2007 13:25:53 +0200

Julian Anastasov wrote:
> If icmp_send is changed to use inet_addr_type() then ICMP will leave
> with saddr != VIP and that is not nice.
> ...
>> I'm not familiar with the IPVS terms, but as far as I understand,
>> it is _not_ going to return RTN_LOCAL, so we get the desired
>> behaviour of selecting a local address as source.
> 
> 	But what is preferred is to use VIP in ICMP.
> 
> ip route add local VIP dev lo table user_defined
> 
> 	returns RTCF_LOCAL but inet_addr_type() does not return RTN_LOCAL,
> we fix one thing but break another :)

Well, I have promissed you to give some feedback after I test the patch 
proposed by Patrick, but after Julian's post I can only confirm that it 
works exactly as Julian said, what is not what I would expect.

Julian, thank you for your detailed explanation of the issue, I have 
nothing more to add.

Janusz